﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace HanyadikHetVan.Data.Entities
{
    public class WeeklyTimeSpan
    {
        public int Id { get; set; }

        [Required]
        public DateTime Startdate { get; set; }

        public virtual ICollection<Pause> Pauses { get; set; }

        public virtual ICollection<FunFact> FunFacts { get; set; }

        public virtual User User { get; set; }

        public string UserId { get; set; }
    }
}
