﻿using AutoMapper;
using HanyadikHetVan.Data.Entities;
using HanyadikHetVan.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HanyadikHetVan.Profiles
{
    public class WeeklyTimeSpanProfile : Profile
    {
        public WeeklyTimeSpanProfile()
        {
            CreateMap<WeeklyTimeSpan, WeeklyTimeSpanDTO>();
            CreateMap<WeeklyTimeSpanDTO, WeeklyTimeSpan>().ForMember(x => x.Id, options => options.Ignore()).ForMember(x => x.User, options => options.Ignore()).ForMember(x => x.UserId, options => options.Ignore());
        }
    }
}
